local function register_basic(name, desc, light) --Registers node with same texture on all sides.
   light = light or 5
   minetest.register_node('lights:'..name, {
      description = desc,
      tiles = {{name='lights_'..name..'.png', align_style='world', scale=4}},
      inventory_image = '[inventorycube{lights_'..name..'.png&[sheet:4x4:1,1{lights_'..name..'.png&[sheet:4x4:1,1{lights_'..name..'.png&[sheet:4x4:1,1',
      groups = {breakable=1},
      light_source = light,
      sounds = {footstep = {name = 'glass', gain = .8}}
   })
end

register_basic('block_1', 'Light 1', 14)
register_basic('block_2', 'Light 2', 14)
register_basic('block_3', 'Light 3', 14)
register_basic('block_4', 'Light 4', 14)
register_basic('block_5', 'Light 5', 14)
register_basic('block_6', 'Light 6', 14)
register_basic('block_7', 'Light 7', 14)
register_basic('block_8', 'Light 8', 14)
